<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBarLayout"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:background="#FA1D1003"
        app:layout_constraintTop_toTopOf="parent">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/backToMain"
                android:layout_width="56dp"
                android:layout_height="56dp"
                android:src="@drawable/ic_back"
                android:tint="#fff"
                android:padding="16dp"
                android:foreground="?android:selectableItemBackground"/>

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/category"
                android:layout_width="280dp"
                android:layout_height="36dp"
                android:text="@string/book_detail"
                android:gravity="center"
                android:fontFamily="sans-serif-condensed"
                android:layout_gravity="center"
                android:textColor="#fff"
                android:textSize="24sp" />

        </FrameLayout>

    </com.google.android.material.appbar.AppBarLayout>


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="#fff"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/appBarLayout">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.cardview.widget.CardView
                android:id="@+id/imageContainer"
                android:layout_width="140dp"
                android:layout_height="210dp"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="24dp"
                app:cardCornerRadius="8dp">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/img_coverImage"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:scaleType="centerCrop"
                    tools:src="@drawable/app_logo" />

            </androidx.cardview.widget.CardView>

            <TextView
                android:id="@+id/tv_bookName"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="12dp"
                android:layout_marginTop="18dp"
                android:ellipsize="end"
                android:gravity="center"
                android:maxLines="2"
                android:fontFamily="sans-serif-condensed"
                android:textColor="@color/black"
                android:textSize="24sp"
                android:textStyle="bold"
                tools:text="Noldan birga. Startaplar haqida qaydlar yoxud kelaja" />

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center_vertical">

                <RatingBar
                    android:id="@+id/ratingBar"
                    style="?android:attr/ratingBarStyleIndicator"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:progressTint="#FFEB3B"
                    android:numStars="5"
                    android:scaleX=".8"
                    android:scaleY=".8"
                    android:stepSize="0.5" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/rating"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="18sp"
                    android:fontFamily="sans-serif-condensed"
                    android:text="@string/_4_5"/>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="24dp">

                <androidx.appcompat.widget.AppCompatButton
                    android:id="@+id/downloadBook"
                    android:layout_width="match_parent"
                    android:layout_height="56dp"
                    android:layout_marginHorizontal="24dp"
                    android:text="@string/download"
                    android:textAllCaps="false"
                    android:background="@drawable/bg_download"
                    android:textColor="@color/white"
                    android:textSize="18sp" />

                <FrameLayout
                    android:id="@+id/frameLoading"
                    android:layout_width="match_parent"
                    android:layout_height="56dp"
                    android:layout_marginHorizontal="24dp"
                    android:background="@drawable/bg_download"
                    android:saveEnabled="false"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent">

                    <androidx.core.widget.ContentLoadingProgressBar
                        android:id="@+id/progress"
                        style="?android:attr/progressBarStyleLarge"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:progressTint="#FFFFFF"
                        android:layout_gravity="center" />

                </FrameLayout>

            </FrameLayout>

            <TextView
                android:id="@+id/text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:layout_marginTop="18dp"
                android:text="@string/description"
                android:fontFamily="sans-serif"
                android:textColor="@color/black"
                android:textSize="18sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/tv_about"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="12dp"
                android:layout_marginTop="12dp"
                android:fontFamily="sans-serif-condensed"
                android:layout_marginBottom="18dp"
                android:justificationMode="inter_word"
                tools:text="@tools:sample/lorem/random"
                tools:targetApi="o" />

            <FrameLayout
                android:id="@+id/rateBook"
                android:layout_width="match_parent"
                android:layout_height="56dp"
                android:visibility="gone"
                android:layout_marginHorizontal="24dp"
                android:layout_marginBottom="24dp"
                android:background="@drawable/bg_rate">

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/rate_this_book"
                    android:textColor="#000"
                    android:textSize="22sp"
                    android:layout_gravity="center"
                    android:fontFamily="sans-serif-condensed"/>

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="56dp"
                    android:layout_height="56dp"
                    android:src="@drawable/ic_next"
                    android:layout_gravity="end"
                    android:padding="16dp" />

            </FrameLayout>

        </LinearLayout>

    </ScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>